Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 758620

Summary: [TEST] media-video/libva-utils-2.9.1 : [ FAILED ] 17413 tests, listed below:
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Alexis Ballier <aballier>
Status: RESOLVED FIXED    
Severity: normal CC: k2k
Priority: Normal Keywords: PullRequest, TESTFAILURE
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/19048
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 738162    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
media-video:libva-utils-2.9.1:20201204-215020.log.bz2
temp.tbz2

Description Toralf Förster gentoo-dev 2020-12-05 10:19:27 UTC
[==========] 17415 tests from 14 test cases ran. (1398 ms total)
[  PASSED  ] 2 tests.
[  FAILED  ] 17413 tests, listed below:
[  FAILED  ] VAAPIFixture.getDisplay
[  FAILED  ] VAAPICreateContextToFail.CreateContextWithNoConfig
[  FAILED  ] VAAPIDisplayAttribs.MaxNumDisplayAttribs

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib_hardened-test-20201127-102027

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.2.0 *
clang version 11.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/11/bin
/usr/lib/llvm/11
11.0.0
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.9 (fallback)
  [3]   python3.8 (fallback)
Available Rust versions:
  [1]   rust-1.48.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.272_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.8.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Fri Dec  4 09:05:48 PM UTC 2020

emerge -qpvO media-video/libva-utils
[ebuild  N    ] media-video/libva-utils-2.9.1  USE="drm test -X -wayland"
Comment 1 Toralf Förster gentoo-dev 2020-12-05 10:19:29 UTC
Created attachment 676729 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-12-05 10:19:31 UTC
Created attachment 676732 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-12-05 10:19:32 UTC
Created attachment 676735 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-12-05 10:19:33 UTC
Created attachment 676738 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-12-05 10:19:34 UTC
Created attachment 676741 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-12-05 10:19:36 UTC
Created attachment 676744 [details]
media-video:libva-utils-2.9.1:20201204-215020.log.bz2
Comment 7 Toralf Förster gentoo-dev 2020-12-05 10:19:38 UTC
Created attachment 676747 [details]
temp.tbz2
Comment 8 Karlson2k 2021-01-12 19:36:08 UTC
I have tried to test libva-utils-2.10.0. All tests failed, except two test. I will try to investigate deeper.
Comment 9 Karlson2k 2021-01-12 20:04:35 UTC
The package tests cannot be used in portage.
1. They require access to already installed VA driver.
2. They require Intel video hardware.


Example output of "make check" without portage:

....
[----------] 1 test from VAAPICreateContextToFail
[ RUN      ] VAAPICreateContextToFail.CreateContextWithNoConfig
libva info: VA-API version 1.10.0
libva info: Trying to open /usr/lib64/va/drivers/iHD_drv_video.so
libva info: Found init function __vaDriverInit_1_9
libva info: va_openDriver() returns 0
[       OK ] VAAPICreateContextToFail.CreateContextWithNoConfig (20 ms)
[----------] 1 test from VAAPICreateContextToFail (20 ms total)

[----------] 4 tests from VAAPIDisplayAttribs
[ RUN      ] VAAPIDisplayAttribs.MaxNumDisplayAttribs
libva info: VA-API version 1.10.0
libva info: Trying to open /usr/lib64/va/drivers/iHD_drv_video.so
libva info: Found init function __vaDriverInit_1_9
libva info: va_openDriver() returns 0
[       OK ] VAAPIDisplayAttribs.MaxNumDisplayAttribs (19 ms)
[ RUN      ] VAAPIDisplayAttribs.QueryDisplayAttribs
libva info: VA-API version 1.10.0
libva info: Trying to open /usr/lib64/va/drivers/iHD_drv_video.so
libva info: Found init function __vaDriverInit_1_9
libva info: va_openDriver() returns 0
[       OK ] VAAPIDisplayAttribs.QueryDisplayAttribs (20 ms)
....


Example output of "make check" outside portage without VA driver installed:

[----------] 1 test from VAAPICreateContextToFail
[ RUN      ] VAAPICreateContextToFail.CreateContextWithNoConfig
libva info: VA-API version 1.10.0
libva info: Trying to open /usr/lib64/va/drivers/iHD_drv_video.so
libva info: va_openDriver() returns -1
libva info: Trying to open /usr/lib64/va/drivers/i965_drv_video.so
libva info: va_openDriver() returns -1
test_va_api_fixture.cpp:107: Failure
      Expected: VaapiStatus(0x00000000)
      Which is: VA_STATUS_SUCCESS
To be equal to: VaapiStatus(status)
      Which is: VA_STATUS_ERROR_UNKNOWN
failed to initialize vaapi
test_va_api_createcontext.cpp:39: Failure
Value of: HasFailure()
  Actual: true
Expected: false
[  FAILED  ] VAAPICreateContextToFail.CreateContextWithNoConfig (20 ms)
[----------] 1 test from VAAPICreateContextToFail (20 ms total)
Comment 10 Larry the Git Cow gentoo-dev 2021-01-14 20:11:38 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34d6be2caa78526ef19677318e118465b881f62d

commit 34d6be2caa78526ef19677318e118465b881f62d
Author:     Karlson2k (Evgeny Grin) <k2k@narod.ru>
AuthorDate: 2021-01-13 08:04:14 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-01-14 20:11:35 +0000

    media-video/libva-utils: fixed test in portage sandbox in 2.9.1
    
    Closes: https://bugs.gentoo.org/758620
    Signed-off-by: Karlson2k (Evgeny Grin) <k2k@narod.ru>
    Closes: https://github.com/gentoo/gentoo/pull/19048
    Signed-off-by: Sam James <sam@gentoo.org>

 media-video/libva-utils/Manifest                   |  1 -
 .../libva-utils/libva-utils-2.9.1-r1.ebuild        | 60 +++++++++-------------
 2 files changed, 23 insertions(+), 38 deletions(-)
Comment 11 Larry the Git Cow gentoo-dev 2021-01-14 20:29:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=494a49a76dd64eda29b162ca42d3d795d75453bd

commit 494a49a76dd64eda29b162ca42d3d795d75453bd
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-01-14 20:28:38 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-01-14 20:28:38 +0000

    media-video/libva-utils: add bug links to tests patch
    
    Closes: https://bugs.gentoo.org/647746
    Closes: https://bugs.gentoo.org/632180
    Closes: https://bugs.gentoo.org/714126
    Closes: https://bugs.gentoo.org/758620
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 media-video/libva-utils/Manifest                              |  2 +-
 .../files/libva-utils-2.10.0_test_in_sandbox.patch            | 11 +++++++----
 2 files changed, 8 insertions(+), 5 deletions(-)